Gtk2::FileChooserButton(3)

NAME
Gtk2::FileChooserButton

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::HBox
                                +----Gtk2::FileChooserButton

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable
  Gtk2::FileChooser

METHODS

  widget = Gtk2::FileChooserButton->new ($title, $action)

•   $title (string)

•   $action (Gtk2::FileChooserAction)

  widget = Gtk2::FileChooserButton->new_with_backend ($title, $action, $backend)

•   $title (string)

•   $action (Gtk2::FileChooserAction)

•   $backend (string)

  widget = Gtk2::FileChooserButton->new_with_dialog ($dialog)

•   $dialog (Gtk2::Widget)

  boolean = $button->get_focus_on_click
Since: gtk+ 2.10

  $button->set_focus_on_click ($focus_on_click)

•   $focus_on_click (boolean)

Since: gtk+ 2.10

  string = $button->get_title

  $button->set_title ($title)

•   $title (string)

  integer = $button->get_width_chars

  $button->set_width_chars ($n_chars)

•   $n_chars (integer)

PROPERTIES

'dialog' (Gtk2::FileChooser : default undef : writable / construct-only / private)
    The file chooser dialog to use.

'focus-on-click' (boolean : default true : readable / writable / private)
    Whether the button grabs focus when it is clicked with the mouse

'title' (string : default "Select a File" : readable / writable / private)
    The title of the file chooser dialog.

'width-chars' (integer : default -1 : readable / writable / private)
    The desired width of the button widget, in characters.

SIGNALS

file-set (Gtk2::FileChooserButton)

ENUMS AND FLAGS

  enum Gtk2::FileChooserAction
•   'open' / 'GTK_FILE_CHOOSER_ACTION_OPEN'

•   'save' / 'GTK_FILE_CHOOSER_ACTION_SAVE'

•   'select-folder' / 'GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER'

•   'create-folder' / 'GTK_FILE_CHOOSER_ACTION_CREATE_FOLDER'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Box, Gtk2::HBox

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.